"use strict";

var _uiSchema = require("@ui-schema/ui-schema");

var _Grid = require("@ui-schema/ds-bootstrap/Grid");

describe('getGridClasses', function () {
  test('return type', function () {
    expect(Array.isArray((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({})))).toBe(true);
  });
  test('array lengths', function () {
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({
      view: {
        'sizeXs': 1
      }
    }))).toHaveLength(1);
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({
      view: {
        'sdjfsfjs': 1
      }
    }))).toHaveLength(1);
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({
      view: {
        'sizeMd': 2
      }
    }))).toHaveLength(2);
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({
      view: {
        'sizeXs': 1,
        'sizeMd': 2,
        'sizeSm': 2,
        'sizeLg': 2,
        'sizeXl': 2
      }
    }))).toHaveLength(5);
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({}))).toHaveLength(1);
  });
  test('grid classes', function () {
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({
      view: {
        'sizeXs': 1
      }
    }))).toMatchObject(['col-1']);
    expect((0, _Grid.getGridClasses)((0, _uiSchema.createMap)({
      view: {
        'sizeXs': 1,
        'sizeMd': 2,
        'sizeSm': 2,
        'sizeLg': 2,
        'sizeXl': 2
      }
    }))).toMatchObject(['col-1', 'col-sm-2', 'col-md-2', 'col-lg-2', 'col-xl-2']);
  });
});