import React from "react";
import { TransTitle, updateValue } from "@ui-schema/ui-schema";
import { ValidityHelperText } from "@ui-schema/ds-material/Component";

const BoolRenderer = ({
  ownKey,
  showValidity,
  required,
  errors,
  value,
  storeKeys,
  onChange,
  schema
}) => {
  let classForm = ["custom-control", "custom-switch"];
  let classLabel = ["custom-control-label", "text-light"];
  let classFormControl = ["custom-control-input"];

  if (showValidity && errors.hasError()) {
    classFormControl.push('is-invalid');
  }

  if (showValidity && !errors.hasError()) {
    classForm.push('was-validated');
  }

  let currentChecked = !!value;
  return /*#__PURE__*/React.createElement("div", {
    className: classForm.join(' ')
  }, /*#__PURE__*/React.createElement("input", {
    type: "checkbox",
    className: classFormControl.join(' '),
    id: ownKey,
    checked: currentChecked,
    required: required,
    onChange: () => onChange(updateValue(storeKeys, !currentChecked, required, schema.get('type')))
  }), /*#__PURE__*/React.createElement("label", {
    className: classLabel.join(' '),
    htmlFor: ownKey
  }, /*#__PURE__*/React.createElement(TransTitle, {
    schema: schema,
    storeKeys: storeKeys,
    ownKey: ownKey
  }), required ? ' *' : ''), /*#__PURE__*/React.createElement(ValidityHelperText, {
    errors: errors,
    showValidity: showValidity,
    schema: schema
  }));
};

export { BoolRenderer };