"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.widgets = void 0;

var _react = _interopRequireDefault(require("react"));

var _TextField = require("./Widgets/TextField");

var _Select = require("./Widgets/Select");

var _OptionsBoolean = require("./Widgets/OptionsBoolean");

var _OptionsCheck = require("./Widgets/OptionsCheck");

var _OptionsRadio = require("./Widgets/OptionsRadio");

var _SimpleList = require("./Widgets/SimpleList");

var _Grid = require("./Grid");

var _pluginStack = require("./pluginStack");

var _validators = require("@ui-schema/ui-schema/Validators/validators");

var MyFallbackComponent = function MyFallbackComponent(_ref) {
  var type = _ref.type,
      widget = _ref.widget;
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("p", null, /*#__PURE__*/_react["default"].createElement("strong", null, "System Error in Widget!")), /*#__PURE__*/_react["default"].createElement("p", null, /*#__PURE__*/_react["default"].createElement("strong", null, "Type:"), " ", type), /*#__PURE__*/_react["default"].createElement("p", null, /*#__PURE__*/_react["default"].createElement("strong", null, "Widget:"), " ", widget));
};

var widgets = {
  ErrorFallback: MyFallbackComponent,
  RootRenderer: _Grid.RootRenderer,
  GroupRenderer: _Grid.GroupRenderer,
  pluginStack: _pluginStack.pluginStack,
  validators: _validators.validators,
  types: {
    string: _TextField.StringRenderer,
    "boolean": _OptionsBoolean.BoolRenderer,
    number: _TextField.NumberRenderer,
    integer: _TextField.NumberRenderer
  },
  custom: {
    Text: _TextField.TextRenderer,
    SimpleList: _SimpleList.SimpleList,
    OptionsCheck: _OptionsCheck.OptionsCheck,
    OptionsRadio: _OptionsRadio.OptionsRadio,
    Select: _Select.Select,
    SelectMulti: _Select.SelectMulti
  }
};
exports.widgets = widgets;